%global momorel 3
%global md5sum_src0 10e12077f9a863bd9cff490313a23ad5

Summary: galago-gtk library for python 
Name: galago-gtk-python
Version: 0.5.0
Release: %{momorel}m%{?dist}
URL: http://www.galago-project.org/specs/notification/ 
%NoSource 0 http://www.galago-project.org/files/releases/source/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
License: LGPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: pygtk2-devel >= 2.10.3-2
BuildPreReq: libgalago-gtk-devel >= 0.5.0
BuildPreReq: galago-python >= 0.5.0
BuildPrereq: libgalago >= 0.5.2

%description
galago-gtk library for python

%package devel
Summary:	Files for development using %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains pkg-config file for development of programs
using %{name}.

%prep
%setup -q

%build

%configure
%make

%install
rm -rf --preserve-root %{buildroot}

make DESTDIR=%{buildroot} install

find %{buildroot} -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/python2.5/site-packages/gtk-2.0/galago/gtk.so
%{_libdir}/python2.5/site-packages/gtk-2.0/galago/gdk.so
%{_datadir}/pygtk/2.0/defs/galago-gtk.defs
%{_datadir}/pygtk/2.0/defs/galago-gdk.defs

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/galago-gtk-python.pc

%changelog
* Mon Feb 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-3m)
- rebuild against libgalago-0.5.2

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.0-2m)
- rebuild against python-2.5

* Sun Sep  3 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-1m)
- initila build
